## node-cli-table 0.3.1

=== Makefile ===

test:
	@NODE_ENV=test ./node_modules/.bin/expresso $(TESTFLAGS) test/*.test.js

test-cov:
	@TESTFLAGS=--cov $(MAKE) test

.PHONY: test test-cov

=== debian/changelog ===
node-cli-table (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #780342)
  * Patched example to find installed cli-table
  * Add a manual test using installed example

 -- Ross Gammon <rossgammon@mail.dk>  Tue, 17 Mar 2015 22:20:17 +0100

=== debian/control ===
Source: node-cli-table
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Ross Gammon <rossgammon@mail.dk>
Section: web
XS-Testsuite: autopkgtest
Priority: extra
Build-Depends: debhelper (>= 9),
               dh-buildinfo,
               nodejs
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-javascript/node-cli-table.git
Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-cli-table.git
Homepage: https://github.com/Automattic/cli-table

Package: node-cli-table
Architecture: all
Depends: ${misc:Depends},
         nodejs,
         node-colors (>= 1.0.3)
Description: Pretty unicode tables for the CLI
 This utility allows you to render unicode-aided tables on the command line
 from your node.js scripts.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	#Override build as expresso dependency not packaged & non-maintained

override_dh_auto_test:
	#Override test as expresso dependency not packaged & non-maintained

override_dh_installchangelogs:
	dh_installchangelogs History.md

=== debian/tests/control ===
Tests: require
Depends: node-cli-table

## node-cli-table 0.3.11+~cs0.13.3

=== debian/changelog ===
node-cli-table (0.3.11+~cs0.13.3-1) unstable; urgency=medium

  * Team upload
  * Add missing build dependency on dh addon.
  * Embed cli-table2 cli-table3 and typescript declarations
  * New upstream version 0.3.11+~cs0.13.3
  * Update test
  * Update copyright

 -- Yadd <yadd@debian.org>  Fri, 07 Jan 2022 08:13:32 +0100

node-cli-table (0.3.6-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Sat, 06 Nov 2021 14:54:13 +0100

node-cli-table (0.3.6-1) experimental; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * New upstream version 0.3.6
  * Update test
  * Update dependencies: only node-colors
  * Add lintian overrides

 -- Yadd <yadd@debian.org>  Fri, 05 Nov 2021 19:00:06 +0100

node-cli-table (0.3.4-1) experimental; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Use dh-sequence-nodejs
  * New upstream version 0.3.4
  * Fix copyright
  * Enable upstream test using jest & ts-node

 -- Xavier Guimard <yadd@debian.org>  Wed, 09 Dec 2020 11:08:03 +0100

node-cli-table (0.3.1-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Use secure URI in Vcs control header Vcs-Browser.
  * Remove unnecessary XS-Testsuite field in debian/control.
  * Update Vcs-* headers to use salsa repository.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Use pkg-js-tools auto-install
  * Change section to javascript

 -- Xavier Guimard <yadd@debian.org>  Wed, 29 Apr 2020 09:30:26 +0200

=== debian/control ===
Source: node-cli-table
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Ross Gammon <rossgammon@mail.dk>
Build-Depends: debhelper
 , debhelper-compat (= 13)
 , dh-sequence-nodejs
 , jest <!nocheck>
 , node-colors <!nocheck>
 , node-object-assign <!nocheck>
 , node-should <!nocheck>
 , node-string-width <!nocheck>
 , node-tape <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-cli-table
Vcs-Git: https://salsa.debian.org/js-team/node-cli-table.git
Homepage: https://github.com/Automattic/cli-table
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-cli-table
Architecture: all
Depends: ${misc:Depends}
 , node-colors
 , node-object-assign
 , node-string-width
Provides: ${nodejs:Provides}
Description: Pretty unicode tables for the CLI
 This utility allows you to render unicode-aided tables on the command line
 from your node.js scripts.

=== debian/tests/control ===
Test-Command: cd cli-table3 && sh -ex ../debian/nodejs/cli-table3/test
Depends: @, @builddeps@
Restrictions: allow-stderr
Features: test-name=cli-table3

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-cli-table-$1/ \
 https://github.com/Automattic/cli-table/tags .*/archive/.*/v?([\d\.]+).tar.gz group

opts=\
component=cli-table2,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-cli-table2-$1/ \
 https://github.com/jamestalmage/cli-table2/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=cli-table3,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-cli-table3-$1/ \
 https://github.com/cli-table/cli-table3/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts="searchmode=plain,component=types-cli-table,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-cli-table-$1/" \
 https://registry.npmjs.org/@types/cli-table https://registry.npmjs.org/@types/cli-table/-/cli-table-([\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,component=types-cli-table2,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-cli-table2-$1/" \
 https://registry.npmjs.org/@types/cli-table2 https://registry.npmjs.org/@types/cli-table2/-/cli-table2-([\d\.]+)@ARCHIVE_EXT@ checksum

## node-cli-table 0.3.11+~cs0.13.4

=== debian/changelog ===
node-cli-table (0.3.11+~cs0.13.4-3) unstable; urgency=medium

  * Team upload
  * Replace __proto__ call by Object.setPrototypeOf

 -- Yadd <yadd@debian.org>  Tue, 13 Sep 2022 15:10:57 +0200

node-cli-table (0.3.11+~cs0.13.4-2) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.1, no changes needed.
  * Enable __proto__ in test, needed here for pkg-js-autopkgtest 0.15

 -- Yadd <yadd@debian.org>  Mon, 12 Sep 2022 12:06:44 +0200

node-cli-table (0.3.11+~cs0.13.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.3.11+~cs0.13.4:
    updates cli-table3 from 0.6.0 to 0.6.1
  * Refresh patches
  * Drop dependency to node-object-assign

 -- Yadd <yadd@debian.org>  Mon, 04 Apr 2022 12:12:11 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  , node-should <!nocheck>
  , node-string-width <!nocheck>
  , node-tape <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-cli-table
 Vcs-Git: https://salsa.debian.org/js-team/node-cli-table.git
 Homepage: https://github.com/Automattic/cli-table
@@ -23,8 +23,8 @@
 Architecture: all
 Depends: ${misc:Depends}
  , node-colors
- , node-object-assign
  , node-string-width
+Suggests: node-lodash
 Provides: ${nodejs:Provides}
 Description: Pretty unicode tables for the CLI
  This utility allows you to render unicode-aided tables on the command line
